/*
 * Copyright 1994-1995 TriloBYTE Software Solutions.
 *
 * Author: Amen Zwa, TriloBYTE.
 */



// static char* sccsid = "XmWidget: %W%\t%G%\tAmen Zwa, TriloBYTE.";



// WError.h: error dialog class



#if !defined(WERROR_H)
#define WERROR_H

#include "WShl.h"
#include "WEtc.h"



enum { ie_ok_pbtn };



class WError : public WDialogMsg {
    friend void cp_activate_err(Widget w, XtPointer usr, XtPointer wgt);
public:
    WError(Widget par);
    // access functions
    void set_cp_clear(XtCallbackProc c, XtPointer u=0) {
	cp = c; usrdata = u; }
};

#endif	// WERROR_H
